com.virtual.tour.road.com.virtual.tour.road.vista

## Class PathGoogleMapActivity.connectAsyncTask

- java.lang.Object
- - android.os.AsyncTask<java.lang.Void,java.lang.Void,java.lang.String>
  - - com.virtual.tour.road.com.virtual.tour.road.vista.PathGoogleMapActivity.connectAsyncTask

- Enclosing class:
    PathGoogleMapActivity

      private class PathGoogleMapActivity.connectAsyncTask
      extends android.os.AsyncTask<java.lang.Void,java.lang.Void,java.lang.String>

  Tarea asincrona para no saturar el main thread

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class android.os.AsyncTask

      `android.os.AsyncTask.Status`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private android.app.ProgressDialog` | `progressDialog`
    `(package private) boolean` | `steps`
    `(package private) java.lang.String` | `url`

    - ### Fields inherited from class android.os.AsyncTask

      `SERIAL_EXECUTOR, THREAD_POOL_EXECUTOR`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `connectAsyncTask(java.lang.String urlPass, boolean withSteps)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected java.lang.String` | `doInBackground(java.lang.Void... params)` Override this method to perform a computation on a background thread.
    `protected void` | `onPostExecute(java.lang.String result)` Runs on the UI thread after `AsyncTask.doInBackground(Params...)`.
    `protected void` | `onPreExecute()` Runs on the UI thread before `AsyncTask.doInBackground(Params...)`.

    - ### Methods inherited from class android.os.AsyncTask

      `cancel, execute, execute, executeOnExecutor, get, get, getStatus, init, isCancelled, onCancelled, onCancelled, onProgressUpdate, publishProgress, setDefaultExecutor`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### progressDialog

          private android.app.ProgressDialog progressDialog

    - #### steps

          boolean steps

    - #### url

          java.lang.String url

  - ### Constructor Detail

    - #### connectAsyncTask

          connectAsyncTask(java.lang.String urlPass,
                           boolean withSteps)

  - ### Method Detail

    - #### doInBackground

          protected java.lang.String doInBackground(java.lang.Void... params)

      Description copied from class: `android.os.AsyncTask`
      Override this method to perform a computation on a background thread. The specified parameters are the parameters passed to `AsyncTask.execute(Params...)` by the caller of this task. This method can call `AsyncTask.publishProgress(Progress...)` to publish updates on the UI thread.
      Specified by:
        `doInBackground` in class `android.os.AsyncTask<java.lang.Void,java.lang.Void,java.lang.String>`
      Parameters:
        `params` - The parameters of the task.
      Returns:
        A result, defined by the subclass of this task.
      See Also:
        `AsyncTask.onPreExecute()`, `AsyncTask.onPostExecute(Result)`, `AsyncTask.publishProgress(Progress...)`

    - #### onPostExecute

          protected void onPostExecute(java.lang.String result)

      Description copied from class: `android.os.AsyncTask`

      Runs on the UI thread after `AsyncTask.doInBackground(Params...)`. The specified result is the value returned by `AsyncTask.doInBackground(Params...)`.

      This method won't be invoked if the task was cancelled.

      Overrides:
        `onPostExecute` in class `android.os.AsyncTask<java.lang.Void,java.lang.Void,java.lang.String>`
      Parameters:
        `result` - The result of the operation computed by `AsyncTask.doInBackground(Params...)`.
      See Also:
        `AsyncTask.onPreExecute()`, `AsyncTask.doInBackground(Params...)`, `AsyncTask.onCancelled(Object)`

    - #### onPreExecute

          protected void onPreExecute()

      Description copied from class: `android.os.AsyncTask`
      Runs on the UI thread before `AsyncTask.doInBackground(Params...)`.
      Overrides:
        `onPreExecute` in class `android.os.AsyncTask<java.lang.Void,java.lang.Void,java.lang.String>`
      See Also:
        `AsyncTask.onPostExecute(Result)`, `AsyncTask.doInBackground(Params...)`